Bug 867152

Summary: Enable VFIO
Product: [Fedora] Fedora Reporter: Alex Williamson <alex.williamson>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, night221
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-01 14:43:29 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Alex Williamson 2012-10-16 18:15:50 EDT
Description of problem:
The VFIO userspace device driver interface was added in Linux 3.6 but is not enabled in Fedora.  This is true of fc17 and I assume fc18.

Version-Release number of selected component (if applicable):
kernel-3.6.1-1.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install
2. grep VFIO /boot/config-`uname -r`
3.
  
Actual results:
# CONFIG_VFIO is not set

Expected results:
CONFIG_VFIO_IOMMU_TYPE1=m
CONFIG_VFIO=m
CONFIG_VFIO_PCI=m


Additional info:
Comment 1 Josh Boyer 2012-10-17 11:08:25 EDT
Why should we enable this?

Are there any userspace dependencies?

Will it impact how peoples machines (or guests) currently boot?
Comment 2 Alex Williamson 2012-10-17 12:03:22 EDT
(In reply to comment #1)
> Why should we enable this?

VFIO is the new mechanism for doing PCI device assignment in Qemu and should eventually supersede and deprecate KVM based device assignment.

> Are there any userspace dependencies?

No, current qemu development branch will use it if available, but depends on it only for vfio-based PCI device assignment.

> Will it impact how peoples machines (or guests) currently boot?

No, there are no devices automatically probed by the driver, it uses a pci-stub approach to only attach to devices explicitly indicated by the sysadmin.  The driver is only useful in combination with IOMMU hardware, so it's not useful in guests.
Comment 3 Josh Boyer 2012-10-17 12:17:44 EDT
Excellent.  Thanks for the info.

I'm guessing you want this in F17, F18, and rawhide.
Comment 4 Alex Williamson 2012-10-17 12:32:29 EDT
(In reply to comment #3)
> Excellent.  Thanks for the info.
> 
> I'm guessing you want this in F17, F18, and rawhide.

Yes please
Comment 5 Fedora Update System 2012-10-23 17:57:44 EDT
kernel-3.6.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.6.3-3.fc18
Comment 6 Fedora Update System 2012-10-24 12:15:39 EDT
Package kernel-3.6.3-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.6.3-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16787/kernel-3.6.3-3.fc18
then log in and leave karma (feedback).